Package io.flutter.embedding.engine.systemchannels

## Enum PlatformChannel.SoundType

- java.lang.Object
- - java.lang.Enum<PlatformChannel.SoundType>
  - - io.flutter.embedding.engine.systemchannels.PlatformChannel.SoundType

- All Implemented Interfaces:
    `Serializable`, `Comparable<PlatformChannel.SoundType>`
  Enclosing class:
    PlatformChannel

      public static enum PlatformChannel.SoundType
      extends Enum<PlatformChannel.SoundType>

  Types of sounds the Android OS can play on behalf of an application.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALERT` |
    `CLICK` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PlatformChannel.SoundType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PlatformChannel.SoundType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICK

          public static final PlatformChannel.SoundType CLICK

    - #### ALERT

          public static final PlatformChannel.SoundType ALERT

  - ### Method Detail

    - #### values

          public static PlatformChannel.SoundType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlatformChannel.SoundType c : PlatformChannel.SoundType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlatformChannel.SoundType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null